lookup(1)

NAME
lookup - Lookup the certificates associated with a User ID

SYNOPSIS
lookup [--email] [-h|--help] <USERID>

DESCRIPTION
Lookup the certificates associated with a User ID.

Identifies authenticated bindings (User ID and certificate pairs) where the User ID matches the specified User ID.

If a binding could be authenticated to the specified level (by default: fully authenticated, i.e., a trust amount of 120), then the exit status is 0. Otherwise the exit status is 1.

If a binding could be partially authenticated (i.e., its trust amount is greater than 0), then the binding is displayed, even if the trust is below the specified threshold.

OPTIONS

--email
    Changes the USERID parameter to match User IDs with the specified email address.

    Interprets the USERID parameter as an email address, which is then used to select User IDs with that email address.

    Unlike when comparing User IDs, email addresses are first normalized by the domain to ASCII using IDNA2008 Punycode conversion, and then converting the resulting email address to lowercase using the empty locale.

    If multiple User IDs match, they are each considered in turn, and this function returns success if at least one of those User IDs can be authenticated. Note: The paths to the different User IDs are not combined.

-h, --help
    Print help (see a summary with '-h')

<USERID>
    The User ID to authenticate.

    This is case sensitive, and must be the whole User ID, not just a substring or an email address.

EXTRA
EXAMPLES:

  # Lookup a certificate with the given User ID.
  $ sq-wot --keyring keyring.pgp \
      --partial \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    lookup \
      'Alice <alice@example.org>'

  # The same as above, but output in DOT format and convert it to
  # an SVG using Graphviz's DOT compiler.
  $ sq-wot --format dot \
      --keyring keyring.pgp \
      --partial \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    lookup \
      'Alice <alice@example.org>' \
    | dot -Tsvg -o alice.svg

  # Lookup a certificate with the given email address.
  $ sq-wot --keyring keyring.pgp \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    lookup \
      --email 'alice@example.org'

  # The same as above, but output in DOT format and convert it to
  # an SVG using Graphviz's DOT compiler.
  $ sq-wot --format dot \
      --keyring keyring.pgp \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    lookup \
      --email 'alice@example.org' \
    | dot -Tsvg -o alice.svg